﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Silanis.ESL.SDK;
using System.Diagnostics;

namespace esl
{
    class DelegationReport
    {
        public static void main()
        {
            EslClient eslClient = new EslClient(Properties.Settings.Default.key, Properties.Settings.Default.url);

            DateTime from = new DateTime(2016, 1, 1);
            DateTime to = DateTime.Now;

            Silanis.ESL.SDK.DelegationReport report = eslClient.ReportService.DownloadDelegationReport(from, to);

            IDictionary<string, IList<DelegationEventReport>> eventReport = report.DelegationEvents;

            foreach (var entry in eventReport)
            {
                foreach (DelegationEventReport r in entry.Value)
                {
                   Debug.WriteLine("Event User: {0}\nEvent Date: {1}\nEvent Type: {2}\nEvent Description: {3}\n", r.EventUser, r.EventDate.ToString(), r.EventType, r.EventDescription);
                }
            }
        }
    }
}
